nl.tudelft.simulation.examples.dsol.animation3d

## Class World

- java.lang.Object
- - javax.media.j3d.SceneGraphObject
  - - javax.media.j3d.Node
    - - javax.media.j3d.Group
      - - javax.media.j3d.BranchGroup
        - - nl.tudelft.simulation.dsol.animation.D3.Renderable3D
          - - nl.tudelft.simulation.examples.dsol.animation3d.World

All Implemented Interfaces:
  nl.tudelft.simulation.dsol.animation.D3.Renderable3DInterface

    public class World
    extends nl.tudelft.simulation.dsol.animation.D3.Renderable3D

World, a simple world for the ball model in 3D
Copyright (c) 2003-2018 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: General Public License (GPL) , no warranty

Version:
  1.0 10.05.2004
Author:
  Roy Chin

### Field Summary

### Fields inherited from class nl.tudelft.simulation.dsol.animation.D3.Renderable3D

`locationGroup, scale, simulator, source, type`

### Fields inherited from class javax.media.j3d.BranchGroup

`ALLOW_DETACH`

### Fields inherited from class javax.media.j3d.Group

`ALLOW_CHILDREN_EXTEND, ALLOW_CHILDREN_READ, ALLOW_CHILDREN_WRITE, ALLOW_COLLISION_BOUNDS_READ, ALLOW_COLLISION_BOUNDS_WRITE`

### Fields inherited from class javax.media.j3d.Node

`ALLOW_AUTO_COMPUTE_BOUNDS_READ, ALLOW_AUTO_COMPUTE_BOUNDS_WRITE, ALLOW_BOUNDS_READ, ALLOW_BOUNDS_WRITE, ALLOW_COLLIDABLE_READ, ALLOW_COLLIDABLE_WRITE, ALLOW_LOCAL_TO_VWORLD_READ, ALLOW_LOCALE_READ, ALLOW_PARENT_READ, ALLOW_PICKABLE_READ, ALLOW_PICKABLE_WRITE, ENABLE_COLLISION_REPORTING, ENABLE_PICK_REPORTING`

### Fields inherited from interface nl.tudelft.simulation.dsol.animation.D3.Renderable3DInterface

`DYNAMIC_OBJECT, STATIC_OBJECT`

### Constructor Summary

Constructors
Constructor and Description
`World(nl.tudelft.simulation.language.d3.DirectedPoint staticLocation, nl.tudelft.simulation.dsol.simulators.SimulatorInterface.TimeDouble simulator)` Construct the world.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `provideModel(javax.media.j3d.TransformGroup locationGroup)`
`protected void` `update(Enumeration children)`

### Methods inherited from class nl.tudelft.simulation.dsol.animation.D3.Renderable3D

`getScale, getSource, getType, setScale, update`

### Methods inherited from class javax.media.j3d.BranchGroup

`cloneNode, compile, detach, pickAll, pickAll, pickAllSorted, pickAllSorted, pickAny, pickAny, pickClosest, pickClosest`

### Methods inherited from class javax.media.j3d.Group

`addChild, getAllChildren, getAlternateCollisionTarget, getChild, getCollisionBounds, indexOfChild, insertChild, moveTo, numChildren, removeAllChildren, removeChild, removeChild, setAlternateCollisionTarget, setChild, setCollisionBounds`

### Methods inherited from class javax.media.j3d.Node

`cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, duplicateNode, getBounds, getBoundsAutoCompute, getCollidable, getLocale, getLocalToVworld, getLocalToVworld, getParent, getPickable, setBounds, setBoundsAutoCompute, setCollidable, setPickable`

### Methods inherited from class javax.media.j3d.SceneGraphObject

`clearCapability, clearCapabilityIsFrequent, duplicateSceneGraphObject, getCapability, getCapabilityIsFrequent, getName, getUserData, isCompiled, isLive, setCapability, setCapabilityIsFrequent, setName, setUserData, toString, updateNodeReferences`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### World

    public World(nl.tudelft.simulation.language.d3.DirectedPoint staticLocation,
                 nl.tudelft.simulation.dsol.simulators.SimulatorInterface.TimeDouble simulator)

Construct the world.

Parameters:
  `staticLocation` - Static location
  `simulator` - Simulator

### Method Detail

#### provideModel

    public void provideModel(javax.media.j3d.TransformGroup locationGroup)

Specified by:
  `provideModel` in class `nl.tudelft.simulation.dsol.animation.D3.Renderable3D`

#### update

    protected void update(Enumeration children)

Specified by:
  `update` in class `nl.tudelft.simulation.dsol.animation.D3.Renderable3D`